# Given the microstrip width, calculate the line impedance length to 
# get the given impedance at the given frequency.
# This procedure must be called from gnuplot AFTER  call "w2z.gp" <width> 
# (which calculate the line impedance to be used), with the command
# call "h2l.gp" <Freq[MHZ]> <L[nH]>, for example  call "h2l.gp" 882 10
# to evaluate line length at 882MHz to get 10nH inductance.
# The microstrip line parameters are given from the last w2z.gp call !
# AUTHORS: 
# * Paolo Subiaco  <psubiaco@virgilio.it>  http://gw.ir3ip.ampr.org/iw3grx

f=$0*1.0
L=$1*1.0
# calculate lambda at the given frequency (in mils)
lambdah=299732.5 / f * Vph / 0.0254
print "lambda=" , lambdah , " [mils]  (wavelength at given frequency)

# calculate microstrip line length
lenh=lambdah/(2*pi) * asin(2.0*pi*f*L/1000.0/Zo)
print "length=" , lenh, " [mils]  (microstrip line length)"

# calculate parasitic capacitance
Ch=1.0/(2*pi*f*Zo)*tan(pi*lenh/lambdah)*1e6
print "Cparas=" , Ch, " [pF]  (parasitic line capacitance)"
